MSGGREP(1)

BEZEICHNUNG
msggrep - Übereinstimmungssuche nach Mustern in einem Meldungskatalog

ÜBERSICHT
msggrep [OPTION] [EINGABEDATEI]

BESCHREIBUNG

Liest alle Meldungen aus einem Meldungskatalog aus, die einem angegebenen Muster entsprechen oder aus angegebenen Quelldateien stammen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

  Orte der Eingabedateien:

EINGABEDATEI
    PO-Eingabedatei

-D, --directory=VERZEICHNIS
    fügt das angegebene VERZEICHNIS zur Liste hinzu, in der nach Eingabedateien gesucht wird.

Wenn keine Eingabedatei oder »-« angegeben ist, wird die Standardeingabe gelesen.

  Orte der Ausgabedateien:

-o, --output-file=DATEI
    schreibt die Ausgabe in die angegebene DATEI.

Die Ergebnisse werden in die Standardausgabe geschrieben, wenn keine Datei oder »-« angegeben ist.

  Auswahl der Meldungen:

    [-N QUELLDATEI] … [-M DOMAIN] … [-J MSGCTXT-MUSTER] [-K MSGID-MUSTER] [-T MSGSTR-MUSTER] [-C KOMMENTAR-MUSTER] [-X QUELLTEXTKOMMENTAR-MUSTER]

Eine Meldung wird nach folgenden Kriterien ausgewählt: Sie stammt aus einer der angegebenen Quelldateien oder gehört zu einer der angegebenen Domains. Falls -J angegeben ist, muss deren Kontext (»msgctxt«) dem MSGCTXT-MUSTER entsprechen. Falls -K angegeben ist, müssen deren Schlüssel (»msgid« oder »msgid_plural«) dem MSGID-MUSTER entsprechen. Falls -T angegeben ist, muss deren Übersetzung (»msgstr«) dem MSGSTR-MUSTER entsprechen. Falls -C angegeben ist, muss deren Übersetzerkommentar dem KOMMENTAR-MUSTER entsprechen. Falls -X angegeben ist, muss deren Quelltextkommentar dem QUELLTEXTKOMMENTAR-MUSTER entsprechen.

Wenn mehrere Auswahlkriterien angegeben sind, ist die Menge der ausgewählten Meldungen eine Aneinanderreihung der ausgewählten Meldungen für jedes Kriterium.

Syntax für MSGCTXT-MUSTER oder MSGID-MUSTER oder MSGSTR-MUSTER oder KOMMENTAR-MUSTER oder QUELLTEXTKOMMENTAR-MUSTER:

    [-E | -F] [-e MUSTER | -f DATEI] …

MUSTER sind per Vorgabe grundlegende reguläre Ausdrücke, oder erweiterte reguläre Ausdrücke, wenn -E angegeben ist, oder feste Ausdrücke, wenn -F angegeben ist.

-N, --location=QUELLDATEI
    wählt Meldungen aus, die aus der angegebenen QUELLDATEI stammen.

-M, --domain=DOMAIN
    wählt Meldungen aus, die zur angegebenen DOMAIN gehören.

-J, --msgctxt
    gibt den Beginn der Muster für »msgctxt« an.

-K, --msgid
    gibt den Beginn der Muster für »msgid« an.

-T, --msgstr
    gibt den Beginn der Muster für »msgstr« an.

-C, --comment
    gibt den Beginn der Muster für den Übersetzerkommentar an.

-X, --extracted-comment
    gibt den Beginn der Muster für den Quelltextkommentar an.

-E, --extended-regexp
    gibt an, dass das MUSTER ein erweiterter regulärer Ausdruck ist.

-F, --fixed-strings
    gibt an, dass das MUSTER eine Liste von durch Zeilenvorschub getrennten Zeichenketten ist.

-e, --regexp=MUSTER
    verwendet das angegebene MUSTER als regulären Ausdruck.

-f, --file=DATEI
    bezieht das MUSTER aus der angegebenen DATEI.

-i, --ignore-case
    ignoriert Groß- und Kleinschreibung.

-v, --invert-match
    gibt nur die Meldungen aus, die keinem der Suchkriterien entsprechen.

  Syntax der Eingabedatei:

-P, --properties-input
    Eingabedatei folgt der .properties-Syntax von Java.

--stringtable-input
    Eingabedatei folgt der .strings-Syntax von NeXTstep/GNUstep.

  Details zur Ausgabe:

--color
    verwendet immer Farben und andere Text-Attribute.

--color=WERT
    verwendet Farben und andere Text-Attribute. Der angegebene WERT kann »always«, »never«, »auto« oder »html« sein.

--style=STILDATEI
    gibt die CSS-Datei mit Stil-Regel für --color an.

--no-escape
    verwendet keine C-Maskier-Sequenzen in der Ausgabe (Vorgabe).

--escape
    verwendet C-Maskier-Sequenzen in der Ausgabe, keine erweiterten Zeichen.

--force-po
    erstellt die PO-Datei auch dann, wenn sie leer ist.

--indent
    stellt die Ausgabe eingerückt dar.

--no-location
    schreibt keine Zeilen mit »#: Dateiname:Zeilennummer«.

-n, --add-location
    schreibt Zeilen mit »#: Dateiname:Zeilennummer« (Vorgabe).

--strict
    schreibt die Ausgabe strikt im Uniforum-Stil.

-p, --properties-output
    schreibt eine .properties-Datei für Java.

--stringtable-output
    schreibt eine .strings-Datei für NeXTstep/GNUstep.

-w, --width=ANZAHL
    legt die Breite der Ausgabe auf die angegebene ANZAHL Spalten fest.

--no-wrap
    bricht Zeilen in Meldungen, die länger als die Breite der Ausgabe sind, nicht auf mehrere Zeilen um.

--sort-output
    erstellt eine sortierte Ausgabe.

--sort-by-file
    sortiert die Ausgabe gemäß Vorkommen in Dateien.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

AUTOR
Geschrieben von Bruno Haible.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf <https://savannah.gnu.org/projects/gettext> oder per E-Mail an <bug-gettext@gnu.org> (jeweils auf Englisch).

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für msggrep wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und msggrep auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info msggrep

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).